Bug 200794 - zope: world writable files
zope: world writable files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: zope (Show other bugs)
5
All Linux
urgent Severity high
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-31 14:12 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.3.9-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 14:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-07-31 14:12:20 EDT
The following files in zope are world writable apparently due to bad umask
setting in the FE build system; its maintainers have been notified.

/usr/lib/zope/skel/etc/logrotate.conf.in
/usr/share/doc/zope-2.8.3/README.Fedora
/var/lib/zope/etc/logrotate.conf

FE[345] and devel are affected and this should be fixed in the package anyway, a
fix is to use "install -pm 644" instead of cp when copying files around.
Comment 1 Callum Lerwick 2006-08-01 18:33:21 EDT
The packaging guidelines should probably be updated to recommend not using cp,
rather than the approval it currently gives:

http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab
Comment 2 Chris Weyl 2006-08-01 18:48:39 EDT
A liberal use of %{_fixperms} also helps catch things.
Comment 4 Aurelien Bompard 2006-08-04 14:41:50 EDT
Thanks for dealing with this while I was on vacation. I confirm that the updated
version has correct permissions.

Note You need to log in before you can comment on or make changes to this bug.